Loading...
Searching...
No Matches
agc_ff.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2005,2006,2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_ANALOG_AGC_FF_H
#define INCLUDED_ANALOG_AGC_FF_H
#include <gnuradio/analog/agc.h>
#include <gnuradio/analog/api.h>
#include <gnuradio/sync_block.h>
namespace gr {
namespace analog {
/*!
* \brief high performance Automatic Gain Control class
* \ingroup level_controllers_blk
*
* \details
* Power is approximated by absolute value
*/
class ANALOG_API agc_ff : virtual public sync_block
{
public:
// gr::analog::agc_ff::sptr
typedef std::shared_ptr<agc_ff> sptr;
/*!
* Build a floating point AGC loop block.
*
* \param rate the update rate of the loop.
* \param reference reference value to adjust signal power to.
* \param gain initial gain value.
* \param max_gain maximum gain value (0 for unlimited).
*/
static sptr make(float rate = 1e-4,
float reference = 1.0,
float gain = 1.0,
float max_gain = 0.0);
virtual float rate() const = 0;
virtual float reference() const = 0;
virtual float gain() const = 0;
virtual float max_gain() const = 0;
virtual void set_rate(float rate) = 0;
virtual void set_reference(float reference) = 0;
virtual void set_gain(float gain) = 0;
virtual void set_max_gain(float max_gain) = 0;
};
} /* namespace analog */
} /* namespace gr */
#endif /* INCLUDED_ANALOG_AGC_FF_H */
agc.h
gr::analog::agc_ff
high performance Automatic Gain Control class
Definition agc_ff.h:29
gr::analog::agc_ff::max_gain
virtual float max_gain() const =0
gr::analog::agc_ff::make
static sptr make(float rate=1e-4, float reference=1.0, float gain=1.0, float max_gain=0.0)
gr::analog::agc_ff::rate
virtual float rate() const =0
gr::analog::agc_ff::set_max_gain
virtual void set_max_gain(float max_gain)=0
gr::analog::agc_ff::gain
virtual float gain() const =0
gr::analog::agc_ff::reference
virtual float reference() const =0
gr::analog::agc_ff::set_rate
virtual void set_rate(float rate)=0
gr::analog::agc_ff::set_gain
virtual void set_gain(float gain)=0
gr::analog::agc_ff::sptr
std::shared_ptr< agc_ff > sptr
Definition agc_ff.h:32
gr::analog::agc_ff::set_reference
virtual void set_reference(float reference)=0
gr::sync_block::sync_block
sync_block(void)
Definition sync_block.h:28
api.h
ANALOG_API
#define ANALOG_API
Definition gr-analog/include/gnuradio/analog/api.h:18
gr::analog
Definition agc.h:19
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h